<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
	
<CS:QueryStringExists runat="Server" QueryString="CommentPosted" id="Querystringexists1">
	<Template>
		<div id="commentmessage">
			<CS:ResourceControl runat="server" ResourceName="Blog_Pending_Comment" Tag="Strong" id="rc_commentmessage"/>
		</div>
	</Template>
</CS:QueryStringExists>	

<asp:PlaceHolder runat="Server" id="CommentFormWrapper">
<h3 id="respond"><CS:ResourceControl runat="server" ResourceName="Weblog_CommentForm_WhatDoYouThink" id="rc_think"/></h3>
<div id="commentform">
	<p>
		<asp:TextBox id="tbTitle" runat="server" CssClass="textbox" />
		<label for="<%=tbTitle.ClientID %>"><small><CS:ResourceControl runat="server" ResourceName="Title" /></small></label> <em>(<CS:ResourceControl runat="server" ResourceName="Required"/>)</em><asp:RequiredFieldValidator runat="server" ErrorMessage="*" ControlToValidate="tbTitle" id="Requiredfieldvalidator1" />
	</p>
	<p>
		<span id="NameDesc" runat="server"><asp:TextBox id="tbName" runat="server" CssClass="textbox" /></span>
		<span id="NameTitle" runat="server"><label for="<%=tbName.ClientID %>"><small><CS:ResourceControl runat="server" ResourceName="Weblog_CommentForm_Name" /></small></label> <em><CS:ResourceControl runat="server" ResourceName="Required" /></em><asp:RequiredFieldValidator runat="server" ErrorMessage="*" ControlToValidate="tbName" id="Requiredfieldvalidator2" /></</span>
	</p>
	<p>
		<asp:TextBox id="tbUrl" runat="server" CssClass="textbox" />
		<label for="<%=tbUrl.ClientID %>"><small><CS:ResourceControl runat="server" ResourceName="Weblog_CommentForm_YourUrl" /></small></label>
	</p>
	<p>
		<asp:TextBox id="tbComment" runat="server" Rows="5" Columns="25" TextMode="MultiLine" />
	</p>
	<p>
		<div><asp:CheckBox id="chkRemember" runat="server" Text="Remember Me?"></asp:CheckBox></div>
		<div><asp:Button id="btnSubmit" runat="server" Text="Submit"></asp:Button></div>
	</p>
</div>
</asp:PlaceHolder>

<CS:ResourceControl id="DisabledMessage" runat="server" ResourceName="Weblog_CommentForm_CommentDisabled" Tag = "Em" Visible = "false" />