<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>

<h3>
	<CS:ResourceControl runat="server" ResourceName="Weblog_ContactForm" />
</h3>
<div id="contactform">
	<p> <span id="NameDesc" runat="server">
		<asp:TextBox id="tbName" runat="server" CssClass="textbox" />
		</span> <span id="NameTitle" runat="server">
		<label for="<%=tbName.ClientID %>">
		<CS:ResourceControl runat="server" ResourceName="Weblog_ContactForm_Name" />
		</label>
		<asp:RequiredFieldValidator runat="server" ErrorMessage="*" ControlToValidate="tbName" />
		</span> </p>
	<p>
		<asp:TextBox id="tbEmail" runat="server" CssClass="textbox" />
		<label for="<%=tbEmail.ClientID %>">
		<CS:ResourceControl runat="server" ResourceName="Weblog_ContactForm_Email" />
		</label>
		<asp:RequiredFieldValidator runat="server" ErrorMessage="*" ControlToValidate="tbEmail" />
		<asp:RegularExpressionValidator id="RegularExpressionValidator1" runat="server" ErrorMessage="Invalid email address format" ControlToValidate="tbEmail" Display="Dynamic" ValidationExpression="^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$">*</asp:RegularExpressionValidator>
	</p>
	<p>
		<asp:TextBox id="tbSubject" runat="server" CssClass="textbox" />
		<label for="<%=tbSubject.ClientID %>">
		<CS:ResourceControl runat="server" ResourceName="Weblog_ContactForm_Subject" />
		</label>
		<asp:RequiredFieldValidator runat="server" ErrorMessage="*" ControlToValidate="tbSubject" />
	</p>
	<p>
		<asp:TextBox id="tbBody" runat="server" TextMode="MultiLine" />
		<asp:RequiredFieldValidator runat="server" ErrorMessage="*" ControlToValidate="tbBody" />
	</p>
	<p>
		<asp:Button id="btnSubmit" runat="server" Text="Send"></asp:Button>
		<asp:Label runat="Server" ForeColor="Red" id="Msg" />
	</p>
</div>