<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<%@ Register TagPrefix="Blog" Namespace="CommunityServer.Blogs.Controls" Assembly="CommunityServer.Blogs" %>

<Blog:InlineTagEditor runat="server" id="InlineTagEditor" LinkCssClass="TextButton" CssClass="InlineTagEditor" />
<asp:Repeater id="EntryItems" Runat="server">
	<ItemTemplate>
		<div class="post">
			<p class="cat">
				<CS:InlineTagEditorPanel runat="server" id="InlineTagEditorPanel" InlineEditorID="InlineTagEditor" />
			</p>
			<h2 class="post-title">
				<asp:HyperLink id="PostTitle" runat="server" />
				<Blog:BlogRatePost id="Ratings" runat="Server" CssClass="CommonRateControl" ReadOnlyCssClass="CommonRateControlReadOnly" ActiveCssClass="CommonRateControlActive" ImagesBaseUrl="~/Themes/default/images/common/" />
			</h2>
			<div class="post-content">
				<asp:Literal id="Body" runat="server" />
				<asp:HyperLink id="ReadMoreLink" Runat="server" />
				<p class="postfoot">
					<asp:HyperLink id="EditLink" Visible = "False" Runat="server" />
					<Blog:DownloadAttachmentLink runat="Server" id="Attachment" />
				</p>
			</div>
			<p class="post-info">
				<em class="date"><asp:HyperLink id="PermaLink" Text="Perma Link" Runat="server" /></em>
				<em class="user"><asp:HyperLink id="AuthorLink" Runat="server" /></em>
				<span></span>
				<span class="post-comments"><asp:HyperLink id="CommentsLink" Runat="server" /></span>
			</p>
		</div>
	</ItemTemplate>
</asp:Repeater>
<CS:SinglePager id = "pager" runat = "Server"  />