<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<%@ Register TagPrefix="Blog" Namespace="CommunityServer.Blogs.Controls" Assembly="CommunityServer.Blogs" %>
<%@ Import Namespace="CommunityServer.Components" %>

<Blog:InlineTagEditor runat="server" id="InlineTagEditor" LinkCssClass="TextButton" CssClass="InlineTagEditor" />
<p class="cat">
	<CS:InlineTagEditorPanel runat="server" id="InlineTagEditorPanel" InlineEditorID="InlineTagEditor" />
</p>
<h2 class="post-title">
	<asp:Literal id="EntryTitle" runat="server" />
	<Blog:BlogRatePost id="Ratings" runat="Server" CssClass="CommonRateControl" ReadOnlyCssClass="CommonRateControlReadOnly" ActiveCssClass="CommonRateControlActive" ImagesBaseUrl="~/Themes/default/images/common/" />
</h2>
<div class="post-content">
	<asp:Literal id="EntryBody" runat="server" />
	<p>
		<Blog:DownloadAttachmentLink runat="Server" id="Attachment" />
		<asp:HyperLink id="EditLink" Runat="server" />
	</p>
</div>
<p class="post-info">
	<em class="date"><asp:Literal id="EntryDesc" Text="Perma Link" Runat="server" /></em>
	<em class="user"><asp:HyperLink id="AuthorLink" Runat="server" /></em>
	<span>&nbsp;</span>
</p>