<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<%@ Import Namespace="CommunityServer.Components" %>
<script language="c#" runat="server">
protected int i = 1;
</script>

<cs:repeaterplusnone id="Comments" runat="server">
	<headertemplate>
		<cs:resourcecontrol runat="server" resourcename="Weblog_CommentForm_Comments" id="rc_comments" tag = "H3" />
		<ol class="commentlist">
	</headertemplate>
	<itemtemplate>
		<li class="<%# ((bool) DataBinder.Eval(Container.DataItem, "IsOwner")) ? "commentowner" : "" %>">
			<div class="cmtinfo">
				<h4><asp:literal runat="server" id="Title" /></h4>
				<em> on
				<asp:literal id="PostDate" runat="server" />
				<small class="commentmetadata">
				<asp:hyperlink runat="server" id="PermaLink" title = "permalink"><span class="commentnum"><%= (i++).ToString() %></span></asp:hyperlink>
				</small></em> <cite>
				<asp:hyperlink target="_blank" runat="server" id="NameLink" />
				</cite>
			</div>
			<asp:literal id="PostText" runat="server" />
			<asp:linkbutton runat="server" id="EditLink" causesvalidation="False" />
		</li>
	</itemtemplate>
	<alternatingitemtemplate>
		<li class="<%# ((bool) DataBinder.Eval(Container.DataItem, "IsOwner")) ? "commentowner" : "alt" %>">
			<div class="cmtinfo">
				<h4><asp:literal runat="server" id="Title" /></h4>
				<em> on
				<asp:literal id="PostDate" runat="server" />
				<small class="commentmetadata">
				<asp:hyperlink runat="server" id="PermaLink" title = "permalink"><span class="commentnum"><%= (i++).ToString() %></span></asp:hyperlink>
				</small></em> <cite>
				<asp:hyperlink target="_blank" runat="server" id="NameLink" />
				</cite>
			</div>
			<asp:literal id="PostText" runat="server" />
			<asp:linkbutton runat="server" id="EditLink" causesvalidation="False" />
		</li>
	</alternatingitemtemplate>
	<footertemplate>
		</ol>
	</footertemplate>
	<nonetemplate>
		<cs:resourcecontrol runat="server" resourcename="Weblog_CommentForm_NoComments" id="rc2" />
	</nonetemplate>
</CS:RepeaterPlusNone>